<html>

<head>
    <meta http-equiv="Content-Security-Policy"
        content="default-src * 'unsafe-inline' 'unsafe-eval'; script-src * 'unsafe-inline' 'unsafe-eval'; connect-src * 'unsafe-inline'; img-src * data: blob: 'unsafe-inline'; frame-src *; style-src * 'unsafe-inline';">
    <meta name="format-detection" content="telephone=no">
    <meta name="msapplication-tap-highlight" content="no">
    <meta charset="utf-8">
    <meta name="viewport" content="initial-scale=1, width=device-width, viewport-fit=cover">
    <link rel="stylesheet" type="text/css" href="css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="css/index.css">
    <title>Plateforme Medica</title>
</head>

<body class="bg-light">
    <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
        <a class="navbar-brand" href="#">MEDICA</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor01" aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarColor01">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item">
                    <a class="nav-link" href="index.html">Calculatrice <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item active">
                    <a class="nav-link" href="map.html">Pharmacies</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="edit.html">Ajouter ou modifier</a>
                </li>
            </ul>
        </div>
    </nav>
    <div class="container-fluid pt-3">
        <div class="row justify-content-center">
            <div class="col-auto mb-3" id="map">
                <div class="bg-light border rounded shadow">
                    <iframe class="w-100" height="500" frameborder="0" src="https://www.bing.com/maps/embed?h=500&w=600&cp=43.61864519975402~3.8153518725585833&lvl=12&typ=d&sty=r&src=SHELL&FORM=MBEDV8" scrolling="no">
                    </iframe>
                    <div class="border-top text-center p-2" style="width: 600px">
                        <div class="btn-group btn-sm btn-block">
                            <a class="btn btn-primary" id="largeMapLink" target="_blank" href="https://www.bing.com/maps?cp=43.61864519975402~3.8153518725585833&amp;sty=r&amp;lvl=12&amp;FORM=MBEDLD">
                                Afficher une carte plus grande
                            </a>
                            <a class="btn btn-primary" id="dirMapLink" target="_blank"
                                href="https://www.bing.com/maps/directions?cp=43.61864519975402~3.8153518725585833&amp;sty=r&amp;lvl=12&amp;rtp=~pos.43.61864519975402_3.8153518725585833____&amp;FORM=MBEDLD">
                                Calculer l’itinéraire
                            </a>
                        </div>
                    </div>
                </div>
            </div>
            <div id="list" class="col-lg">
                <div class="mb-2 text-right">
                    <button type="button" class="btn btn-primary rounded-pill">
                        +
                    </button>
                </div>
                <div class="card mb-2">
                    <div class="card-body">
                        <h5>1. Pharmacie des 4 Seigneurs</h5>
                        <p> Ventes : 13.000 euros</p>
                        <p> Besoins en formation : homéopathie</p>
                        <a href="#modal-form" data-toggle="modal" class="card-link stretched-link"></a>
                    </div>
                </div>
                <div class="card mb-2">
                    <div class="card-body">
                        <h5>2. Pharmacie de Saint Eloi</h5>
                        <p> Ventes : 35.958 euros</p>
                        <p> Besoins en formation : aucun</p>
                        <a href="#modal-form" data-toggle="modal" class="card-link stretched-link"></a>
                    </div>
                </div>
                <div class="card mb-2">
                    <div class="card-body">
                        <h5>3. Pharmacie de Mauguio</h5>
                        <p> Ventes : 20.100 euros</p>
                        <p> Besoins en formation : assistant de laboratoire</p>
                        <a href="#modal-form" data-toggle="modal" class="card-link stretched-link"></a>
                    </div>
                </div>
                <div class="card mb-2">
                    <div class="card-body">
                        <h5>4. Pharmacie de Saint-Jean de Védas</h5>
                        <p> Ventes : 45.250 euros</p>
                        <p> Besoins en formation : aucun</p>
                        <a href="#modal-form" data-toggle="modal" class="card-link stretched-link"></a>
                    </div>
                </div>
                <div class="card">
                    <div class="card-body">
                        <h5>5. Pharmacie du Pic Saint Loup</h5>
                        <p> Ventes : 31.700 euros</p>
                        <p> Besoins en formation : aucun</p>
                        <a href="#modal-form" data-toggle="modal" class="card-link stretched-link"></a>
                    </div>
                </div>
            </div>
        </div>
        <!-- V3 -->
        <div class="modal fade" id="modal-form" tabindex="-1">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Informations sur la pharmacie</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <form action="/action_page.php">
                            <div class="form-group">
                                <label for="brut">Nom</label>
                                <input type="text" class="form-control" id="brut">
                            </div>
                            <div class="form-group">
                                <label for="brut">Adresse</label>
                                <input type="text" class="form-control" id="brut">
                            </div>
                            <div class="row">
                                <div class="col-lg-3">
                                    <div class="form-group">
                                        <label for="brut">Code postal</label>
                                        <input type="number" class="form-control" id="brut">
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="form-group">
                                        <label for="brut">Ville</label>
                                        <input type="text" class="form-control" id="brut">
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="remise">Achats par produit</label>
                                <input type="text" class="form-control" id="remise">
                            </div>
                            <div class="form-group">
                                <label for="remise">Ventes</label>
                                <input type="text" class="form-control" id="remise">
                            </div>
                            <div class="form-group">
                                <label for="remise">Besoins en formation</label>
                                <input type="text" class="form-control" id="remise">
                            </div>
                            <div class="text-right">
                                <button type="submit" class="btn btn-primary">Valider</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <script>
            window.addEventListener ?
                window.addEventListener("load", getLocation, false) :
                window.attachEvent && window.attachEvent("onload", getLocation);

            var x = document.getElementById("demo");

            function getLocation() {
                if (navigator.geolocation) {
                    navigator.geolocation.getCurrentPosition(showPosition);
                } else {
                    x.innerHTML = "Geolocation is not supported by this browser.";
                }
            }

            function showPosition(position) {
                x.innerHTML = "Latitude: " + position.coords.latitude +
                    "<br>Longitude: " + position.coords.longitude;
            }
        </script>
        <script type="text/javascript" src="cordova.js"></script>
        <script type="text/javascript" src="js/index.js"></script>
        <script type="text/javascript" src="js/jquery-3.3.1.min.js"></script>
        <script type="text/javascript" src="js/bootstrap.bundle.min.js"></script>
        <script type="text/javascript" src="js/src/index.vue.js"></script>
        <script type="text/javascript">
        $('#modal-form').on('show.bs.modal', function (event) {
            var button = $(event.relatedTarget)
            var modal = $(this)

            console.log(button);
            console.log(modal);

            modal.find('#nom').val(button.data('nom'));
            modal.find('#adresse').val(button.data('adresse'));
            modal.find('#code').val(button.data('code'));
            modal.find('#ville').val(button.data('ville'));
            modal.find('#ventes').val(button.data('ventes'));
            modal.find('#besoinsEnFormation').val(button.data('besoin'));
        })
        </script>
</body>


</html>
